Bug 2559 - GNOME applets represented by shared libraries don't start.
GNOME applets represented by shared libraries don't start.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
6.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-05 03:40 EDT by cher
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-22 12:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cher 1999-05-05 03:40:08 EDT
Every try to start GKB International keyboard applet fails
with the following message:
** CRITICAL **: file goad.c: line 766
(goad_server_activate_shlib): assertion `i' failed.
Comment 1 cher 1999-05-07 05:16:59 EDT
This bug isn't only related to GKB applet, but to any applet which
is represented by shared library. That is starting the fish applet
causes the same error.
As a workaround I tried to link libgkb_applet.so.0.0.0 to
libgkb_applet.so, error message changed to:error in loading shared
libraries: /usr/lib/libgkb_applet.so: undefined symbol:
applet_widget_new
Comment 2 cher 1999-06-03 04:31:59 EDT
It works if gnome-core-devel package is installed & doesn't
work without it.
Comment 3 Michael Fulbright 1999-06-07 11:03:59 EDT
These files need to be moved into gnome-core from gnome-core-devel:

/usr/lib/libfish_applet.a
/usr/lib/libfish_applet.la
/usr/lib/libfish_applet.so
/usr/lib/libgkb_applet.a
/usr/lib/libgkb_applet.la
/usr/lib/libgkb_applet.so
Comment 4 Elliot Lee 1999-07-28 18:16:59 EDT
/cvs/gnome/gnome-core/gnome-core.spec.in,v  <--  gnome-core.spec.in
new revision: 1.7.2.1; previous revision: 1.7

Fixed.
-- Elliot
Comment 5 Elliot Lee 1999-07-28 18:17:59 EDT
/cvs/gnome/gnome-core/gnome-core.spec.in,v  <--  gnome-core.spec.in
new revision: 1.7.2.1; previous revision: 1.7

Fixed.
-- Elliot

Note You need to log in before you can comment on or make changes to this bug.